# patroni.raft_controller module

class patroni.raft_controller.RaftController(config: Config)

  Bases: `AbstractPatroniDaemon`

  __init__(config: Config) → None

    Set up signal handlers, logging handler and configuration.

    Parameters:

      config – configuration options for this daemon.

  _abc_impl = <_abc._abc_data object>
  _run_cycle() → None

    Define what the daemon should do in each execution cycle.

    Keep being called in the daemon’s main loop until the daemon is eventually terminated.

  _shutdown() → None

    Define what the daemon should do when shutting down.

patroni.raft_controller.main() → None